package lotus.domino;

import java.util.Vector;

public interface ACL extends Base {
   int LEVEL_NOACCESS = 0;
   int LEVEL_DEPOSITOR = 1;
   int LEVEL_READER = 2;
   int LEVEL_AUTHOR = 3;
   int LEVEL_EDITOR = 4;
   int LEVEL_DESIGNER = 5;
   int LEVEL_MANAGER = 6;
   int ACL_MAX_ROLES = 80;

   ACLEntry getFirstEntry() throws NotesException;

   ACLEntry getNextEntry(ACLEntry var1) throws NotesException;

   ACLEntry getNextEntry() throws NotesException;

   ACLEntry getEntry(String var1) throws NotesException;

   int getInternetLevel() throws NotesException;

   void setInternetLevel(int var1) throws NotesException;

   void save() throws NotesException;

   void renameRole(String var1, String var2) throws NotesException;

   void addRole(String var1) throws NotesException;

   void deleteRole(String var1) throws NotesException;

   ACLEntry createACLEntry(String var1, int var2) throws NotesException;

   Vector getRoles() throws NotesException;

   Database getParent() throws NotesException;

   boolean isUniformAccess() throws NotesException;

   void setUniformAccess(boolean var1) throws NotesException;

   void removeACLEntry(String var1) throws NotesException;
}
