package lotus.domino;

public interface Agent extends Base {
   int TRIGGER_NONE = 0;
   int TRIGGER_SCHEDULED = 1;
   int TRIGGER_NEW_MAIL = 2;
   int TRIGGER_DOC_PASTED = 3;
   int TRIGGER_MANUAL = 4;
   int TRIGGER_DOC_UPDATE = 5;
   int TRIGGER_SYNCHRONOUS_NEW_MAIL = 6;
   int TARGET_NONE = 0;
   int TARGET_ALL_DOCS = 1;
   int TARGET_NEW_DOCS = 2;
   int TARGET_NEW_OR_MODIFIED_DOCS = 3;
   int TARGET_SELECTED_DOCS = 4;
   int TARGET_ALL_DOCS_IN_VIEW = 5;
   int TARGET_UNREAD_DOCS_IN_VIEW = 6;
   int TARGET_PROMPT_USER = 7;
   int TARGET_UI_SELECTABLE_OBJECT = 8;

   void run() throws NotesException;

   int runOnServer() throws NotesException;

   void remove() throws NotesException;

   void save() throws NotesException;

   String getName() throws NotesException;

   String getOwner() throws NotesException;

   DateTime getLastRun() throws NotesException;

   boolean isEnabled() throws NotesException;

   void setEnabled(boolean var1) throws NotesException;

   String getServerName() throws NotesException;

   void setServerName(String var1) throws NotesException;

   String getQuery() throws NotesException;

   String getComment() throws NotesException;

   Database getParent() throws NotesException;

   boolean isPublic() throws NotesException;

   String getCommonOwner() throws NotesException;

   int getTrigger() throws NotesException;

   int getTarget() throws NotesException;

   boolean isNotesAgent() throws NotesException;

   boolean isWebAgent() throws NotesException;
}
