package lotus.domino;

import java.util.Vector;

public interface Database extends Base {
   int FT_SCORES = 8;
   int FT_DATE_DES = 32;
   int FT_DATE_ASC = 64;
   int FT_STEMS = 512;
   int FT_THESAURUS = 1024;

   boolean open() throws NotesException;

   int compact() throws NotesException;

   Database createCopy(String var1, String var2) throws NotesException;

   Database createCopy(String var1, String var2, int var3) throws NotesException;

   Document createDocument() throws NotesException;

   Database createFromTemplate(String var1, String var2, boolean var3) throws NotesException;

   Database createFromTemplate(String var1, String var2, boolean var3, int var4) throws NotesException;

   Database createReplica(String var1, String var2) throws NotesException;

   DocumentCollection FTSearch(String var1, int var2) throws NotesException;

   DocumentCollection FTSearch(String var1) throws NotesException;

   DocumentCollection FTSearch(String var1, int var2, int var3, int var4) throws NotesException;

   ACL getACL() throws NotesException;

   DocumentCollection getAllDocuments() throws NotesException;

   Agent getAgent(String var1) throws NotesException;

   Vector getAgents() throws NotesException;

   String getCategories() throws NotesException;

   void setCategories(String var1) throws NotesException;

   DateTime getCreated() throws NotesException;

   int getCurrentAccessLevel() throws NotesException;

   String getDesignTemplateName() throws NotesException;

   Document getDocumentByID(String var1) throws NotesException;

   Document getDocumentByUNID(String var1) throws NotesException;

   Document getDocumentByURL(String var1, boolean var2) throws NotesException;

   Document getDocumentByURL(String var1, boolean var2, boolean var3, boolean var4, String var5, String var6, String var7, String var8, String var9, boolean var10) throws NotesException;

   Document getFirstProfileDoc(String var1) throws NotesException;

   Document getNextProfileDoc() throws NotesException;

   DocumentCollection getProfileDocCollection(String var1) throws NotesException;

   String getFileName() throws NotesException;

   String getFilePath() throws NotesException;

   boolean getFolderReferencesEnabled() throws NotesException;

   void setFolderReferencesEnabled(boolean var1) throws NotesException;

   Form getForm(String var1) throws NotesException;

   Vector getForms() throws NotesException;

   DateTime getLastFTIndexed() throws NotesException;

   DateTime getLastModified() throws NotesException;

   Vector getManagers() throws NotesException;

   Session getParent() throws NotesException;

   double getPercentUsed() throws NotesException;

   Document getProfileDocument(String var1, String var2) throws NotesException;

   String getReplicaID() throws NotesException;

   String getServer() throws NotesException;

   double getSize() throws NotesException;

   int getSizeQuota() throws NotesException;

   void setSizeQuota(int var1) throws NotesException;

   String getTemplateName() throws NotesException;

   String getTitle() throws NotesException;

   String getURLHeaderInfo(String var1, String var2, String var3, String var4, String var5, String var6) throws NotesException;

   View getView(String var1) throws NotesException;

   Vector getViews() throws NotesException;

   void grantAccess(String var1, int var2) throws NotesException;

   boolean isDelayUpdates() throws NotesException;

   void setDelayUpdates(boolean var1) throws NotesException;

   boolean isFTIndexed() throws NotesException;

   boolean isMultiDbSearch() throws NotesException;

   boolean isOpen() throws NotesException;

   boolean isPublicAddressBook() throws NotesException;

   boolean isPrivateAddressBook() throws NotesException;

   int queryAccess(String var1) throws NotesException;

   void remove() throws NotesException;

   boolean replicate(String var1) throws NotesException;

   void revokeAccess(String var1) throws NotesException;

   DocumentCollection search(String var1) throws NotesException;

   DocumentCollection search(String var1, DateTime var2) throws NotesException;

   DocumentCollection search(String var1, DateTime var2, int var3) throws NotesException;

   void setTitle(String var1) throws NotesException;

   void updateFTIndex(boolean var1) throws NotesException;

   Replication getReplicationInfo() throws NotesException;

   Document FTDomainSearch(String var1, int var2, int var3, int var4, String var5, int var6, int var7) throws NotesException;

   Outline getOutline(String var1) throws NotesException;

   Outline createOutline(String var1) throws NotesException;

   void enableFolder(String var1) throws NotesException;
}
