package lotus.domino;

import java.util.Vector;

public interface Document extends Base {
   Item appendItemValue(String var1, Object var2) throws NotesException;

   Item appendItemValue(String var1) throws NotesException;

   Item appendItemValue(String var1, int var2) throws NotesException;

   Item appendItemValue(String var1, double var2) throws NotesException;

   boolean computeWithForm(boolean var1, boolean var2) throws NotesException;

   void copyAllItems(Document var1, boolean var2) throws NotesException;

   Item copyItem(Item var1, String var2) throws NotesException;

   Item copyItem(Item var1) throws NotesException;

   Document copyToDatabase(Database var1) throws NotesException;

   RichTextItem createRichTextItem(String var1) throws NotesException;

   Document createReplyMessage(boolean var1) throws NotesException;

   void encrypt() throws NotesException;

   EmbeddedObject getAttachment(String var1) throws NotesException;

   Vector getAuthors() throws NotesException;

   Vector getColumnValues() throws NotesException;

   DateTime getCreated() throws NotesException;

   Vector getEmbeddedObjects() throws NotesException;

   Vector getEncryptionKeys() throws NotesException;

   void setEncryptionKeys(Vector var1) throws NotesException;

   Item getFirstItem(String var1) throws NotesException;

   int getFTSearchScore() throws NotesException;

   DateTime getLastAccessed() throws NotesException;

   DateTime getLastModified() throws NotesException;

   Vector getFolderReferences() throws NotesException;

   Vector getItems() throws NotesException;

   Vector getItemValue(String var1) throws NotesException;

   String getItemValueString(String var1) throws NotesException;

   int getItemValueInteger(String var1) throws NotesException;

   double getItemValueDouble(String var1) throws NotesException;

   String getKey() throws NotesException;

   String getNameOfProfile() throws NotesException;

   String getNoteID() throws NotesException;

   Database getParentDatabase() throws NotesException;

   String getParentDocumentUNID() throws NotesException;

   View getParentView() throws NotesException;

   DocumentCollection getResponses() throws NotesException;

   String getSigner() throws NotesException;

   int getSize() throws NotesException;

   String getUniversalID() throws NotesException;

   void setUniversalID(String var1) throws NotesException;

   String getVerifier() throws NotesException;

   boolean hasEmbedded() throws NotesException;

   boolean hasItem(String var1) throws NotesException;

   boolean isEncryptOnSend() throws NotesException;

   void setEncryptOnSend(boolean var1) throws NotesException;

   boolean isNewNote() throws NotesException;

   boolean isProfile() throws NotesException;

   boolean isResponse() throws NotesException;

   boolean isSigned() throws NotesException;

   boolean isValid() throws NotesException;

   boolean isSaveMessageOnSend() throws NotesException;

   void setSaveMessageOnSend(boolean var1) throws NotesException;

   boolean isSentByAgent() throws NotesException;

   boolean isSignOnSend() throws NotesException;

   void setSignOnSend(boolean var1) throws NotesException;

   void makeResponse(Document var1) throws NotesException;

   void putInFolder(String var1) throws NotesException;

   void putInFolder(String var1, boolean var2) throws NotesException;

   boolean remove(boolean var1) throws NotesException;

   void removeFromFolder(String var1) throws NotesException;

   void removeFromFolder(String var1, boolean var2) throws NotesException;

   void removeItem(String var1) throws NotesException;

   boolean renderToRTItem(RichTextItem var1) throws NotesException;

   Item replaceItemValue(String var1, Object var2) throws NotesException;

   boolean save(boolean var1, boolean var2, boolean var3) throws NotesException;

   boolean save(boolean var1, boolean var2) throws NotesException;

   boolean save(boolean var1) throws NotesException;

   boolean save() throws NotesException;

   void send(boolean var1, Vector var2) throws NotesException;

   void send(Vector var1) throws NotesException;

   void send(boolean var1, String var2) throws NotesException;

   void send(String var1) throws NotesException;

   void sign() throws NotesException;
}
