package lotus.domino;

import java.util.Vector;

public interface Item extends Base {
   int ERRORITEM = 256;
   int UNAVAILABLE = 512;
   int TEXT = 1280;
   int NUMBERS = 768;
   int DATETIMES = 1024;
   int NAMES = 1074;
   int READERS = 1075;
   int AUTHORS = 1076;
   int RICHTEXT = 1;
   int USERID = 1792;
   int FORMULA = 1536;
   int COLLATION = 2;
   int NOTEREFS = 4;
   int NOTELINKS = 7;
   int ATTACHMENT = 1084;
   int OTHEROBJECT = 1085;
   int UNKNOWN = 0;
   int ICON = 6;
   int SIGNATURE = 8;
   int USERDATA = 14;
   int EMBEDDEDOBJECT = 1090;
   int QUERYCD = 15;
   int ACTIONCD = 16;
   int ASSISTANTINFO = 17;
   int VIEWMAPDATA = 18;
   int VIEWMAPLAYOUT = 19;
   int LSOBJECT = 20;
   int HTML = 21;

   String abstractText(int var1, boolean var2, boolean var3) throws NotesException;

   void appendToTextList(Vector var1) throws NotesException;

   void appendToTextList(String var1) throws NotesException;

   boolean containsValue(Object var1) throws NotesException;

   Item copyItemToDocument(Document var1, String var2) throws NotesException;

   Item copyItemToDocument(Document var1) throws NotesException;

   DateTime getDateTimeValue() throws NotesException;

   void setDateTimeValue(DateTime var1) throws NotesException;

   DateTime getLastModified() throws NotesException;

   String getName() throws NotesException;

   Document getParent() throws NotesException;

   String getText() throws NotesException;

   String getText(int var1) throws NotesException;

   int getType() throws NotesException;

   Vector getValues() throws NotesException;

   void setValues(Vector var1) throws NotesException;

   String getValueString() throws NotesException;

   void setValueString(String var1) throws NotesException;

   double getValueDouble() throws NotesException;

   void setValueDouble(double var1) throws NotesException;

   int getValueInteger() throws NotesException;

   void setValueInteger(int var1) throws NotesException;

   int getValueLength() throws NotesException;

   boolean isAuthors() throws NotesException;

   void setAuthors(boolean var1) throws NotesException;

   boolean isEncrypted() throws NotesException;

   void setEncrypted(boolean var1) throws NotesException;

   boolean isNames() throws NotesException;

   void setNames(boolean var1) throws NotesException;

   boolean isProtected() throws NotesException;

   void setProtected(boolean var1) throws NotesException;

   boolean isReaders() throws NotesException;

   void setReaders(boolean var1) throws NotesException;

   boolean isSaveToDisk() throws NotesException;

   void setSaveToDisk(boolean var1) throws NotesException;

   boolean isSigned() throws NotesException;

   void setSigned(boolean var1) throws NotesException;

   boolean isSummary() throws NotesException;

   void setSummary(boolean var1) throws NotesException;

   void remove() throws NotesException;
}
