package lotus.domino;

import java.util.Vector;

public interface Log extends Base {
   int EV_UNKNOWN = 0;
   int EV_COMM = 1;
   int EV_SECURITY = 2;
   int EV_MAIL = 3;
   int EV_REPLICA = 4;
   int EV_RESOURCE = 5;
   int EV_MISC = 6;
   int EV_SERVER = 7;
   int EV_ALARM = 8;
   int EV_UPDATE = 9;
   int SEV_UNKNOWN = 0;
   int SEV_FATAL = 1;
   int SEV_FAILURE = 2;
   int SEV_WARNING1 = 3;
   int SEV_WARNING2 = 4;
   int SEV_NORMAL = 5;

   void close() throws NotesException;

   String getProgramName() throws NotesException;

   void setProgramName(String var1) throws NotesException;

   int getNumActions() throws NotesException;

   int getNumErrors() throws NotesException;

   Session getParent() throws NotesException;

   boolean isLogActions() throws NotesException;

   void setLogActions(boolean var1) throws NotesException;

   boolean isLogErrors() throws NotesException;

   void setLogErrors(boolean var1) throws NotesException;

   boolean isOverwriteFile() throws NotesException;

   void setOverwriteFile(boolean var1) throws NotesException;

   void logAction(String var1) throws NotesException;

   void logError(int var1, String var2) throws NotesException;

   void logEvent(String var1, String var2, int var3, int var4) throws NotesException;

   void openAgentLog() throws NotesException;

   void openFileLog(String var1) throws NotesException;

   void openMailLog(Vector var1, String var2) throws NotesException;

   void openNotesLog(String var1, String var2) throws NotesException;
}
