package lotus.domino;

import java.util.Date;
import java.util.Vector;

public interface Session extends Base {
   DateRange createDateRange() throws NotesException;

   DateRange createDateRange(DateTime var1, DateTime var2) throws NotesException;

   DateRange createDateRange(Date var1, Date var2) throws NotesException;

   DateTime createDateTime(Date var1) throws NotesException;

   DateTime createDateTime(String var1) throws NotesException;

   Log createLog(String var1) throws NotesException;

   Name createName(String var1) throws NotesException;

   Name createName(String var1, String var2) throws NotesException;

   Newsletter createNewsletter(DocumentCollection var1) throws NotesException;

   Registration createRegistration() throws NotesException;

   RichTextStyle createRichTextStyle() throws NotesException;

   RichTextParagraphStyle createRichTextParagraphStyle() throws NotesException;

   Vector evaluate(String var1) throws NotesException;

   Vector evaluate(String var1, Document var2) throws NotesException;

   Vector freeTimeSearch(DateRange var1, int var2, Object var3, boolean var4) throws NotesException;

   Vector getAddressBooks() throws NotesException;

   AgentContext getAgentContext() throws NotesException;

   String getCommonUserName() throws NotesException;

   Database getDatabase(String var1, String var2) throws NotesException;

   Database getDatabase(String var1, String var2, boolean var3) throws NotesException;

   DbDirectory getDbDirectory(String var1) throws NotesException;

   String getEnvironmentString(String var1) throws NotesException;

   String getEnvironmentString(String var1, boolean var2) throws NotesException;

   Object getEnvironmentValue(String var1) throws NotesException;

   Object getEnvironmentValue(String var1, boolean var2) throws NotesException;

   void setEnvironmentVar(String var1, Object var2) throws NotesException;

   void setEnvironmentVar(String var1, Object var2, boolean var3) throws NotesException;

   International getInternational() throws NotesException;

   String getNotesVersion() throws NotesException;

   String getPlatform() throws NotesException;

   String getServerName() throws NotesException;

   Database getURLDatabase() throws NotesException;

   String getUserName() throws NotesException;

   Name getUserNameObject() throws NotesException;

   boolean isOnServer() throws NotesException;

   Base resolve(String var1) throws NotesException;

   Vector getUserNameList() throws NotesException;
}
