package lotus.domino;

import java.util.Vector;

public interface View extends Base {
   int SPACING_SINGLE = 0;
   int SPACING_ONE_POINT_25 = 1;
   int SPACING_ONE_POINT_50 = 2;
   int SPACING_ONE_POINT_75 = 3;
   int SPACING_DOUBLE = 4;

   void clear() throws NotesException;

   ViewNavigator createViewNav() throws NotesException;

   ViewNavigator createViewNav(int var1) throws NotesException;

   ViewNavigator createViewNavMaxLevel(int var1) throws NotesException;

   ViewNavigator createViewNavMaxLevel(int var1, int var2) throws NotesException;

   ViewNavigator createViewNavFrom(Object var1) throws NotesException;

   ViewNavigator createViewNavFrom(Object var1, int var2) throws NotesException;

   ViewNavigator createViewNavFromChildren(Object var1) throws NotesException;

   ViewNavigator createViewNavFromChildren(Object var1, int var2) throws NotesException;

   ViewNavigator createViewNavFromDescendants(Object var1) throws NotesException;

   ViewNavigator createViewNavFromDescendants(Object var1, int var2) throws NotesException;

   ViewNavigator createViewNavFromCategory(String var1) throws NotesException;

   ViewNavigator createViewNavFromCategory(String var1, int var2) throws NotesException;

   int FTSearch(String var1) throws NotesException;

   int FTSearch(String var1, int var2) throws NotesException;

   Vector getAliases() throws NotesException;

   int getBackgroundColor() throws NotesException;

   ViewColumn getColumn(int var1) throws NotesException;

   Vector getColumns() throws NotesException;

   int getColumnCount() throws NotesException;

   Vector getColumnNames() throws NotesException;

   DateTime getCreated() throws NotesException;

   int getHeaderLines() throws NotesException;

   DateTime getLastModified() throws NotesException;

   String getName() throws NotesException;

   Database getParent() throws NotesException;

   String getUniversalID() throws NotesException;

   Vector getReaders() throws NotesException;

   void setReaders(Vector var1) throws NotesException;

   int getRowLines() throws NotesException;

   int getSpacing() throws NotesException;

   int getTopLevelEntryCount() throws NotesException;

   Document getFirstDocument() throws NotesException;

   Document getLastDocument() throws NotesException;

   Document getNextDocument(Document var1) throws NotesException;

   Document getPrevDocument(Document var1) throws NotesException;

   Document getNextSibling(Document var1) throws NotesException;

   Document getPrevSibling(Document var1) throws NotesException;

   Document getParentDocument(Document var1) throws NotesException;

   Document getChild(Document var1) throws NotesException;

   Document getNthDocument(int var1) throws NotesException;

   Document getDocumentByKey(Vector var1) throws NotesException;

   Document getDocumentByKey(Vector var1, boolean var2) throws NotesException;

   Document getDocumentByKey(Object var1) throws NotesException;

   Document getDocumentByKey(Object var1, boolean var2) throws NotesException;

   ViewEntry getEntryByKey(Vector var1) throws NotesException;

   ViewEntry getEntryByKey(Vector var1, boolean var2) throws NotesException;

   ViewEntry getEntryByKey(Object var1) throws NotesException;

   ViewEntry getEntryByKey(Object var1, boolean var2) throws NotesException;

   DocumentCollection getAllDocumentsByKey(Vector var1) throws NotesException;

   DocumentCollection getAllDocumentsByKey(Vector var1, boolean var2) throws NotesException;

   DocumentCollection getAllDocumentsByKey(Object var1) throws NotesException;

   DocumentCollection getAllDocumentsByKey(Object var1, boolean var2) throws NotesException;

   ViewEntryCollection getAllEntriesByKey(Vector var1) throws NotesException;

   ViewEntryCollection getAllEntriesByKey(Vector var1, boolean var2) throws NotesException;

   ViewEntryCollection getAllEntriesByKey(Object var1) throws NotesException;

   ViewEntryCollection getAllEntriesByKey(Object var1, boolean var2) throws NotesException;

   ViewEntryCollection getAllEntries() throws NotesException;

   boolean isAutoUpdate() throws NotesException;

   void setAutoUpdate(boolean var1) throws NotesException;

   boolean isCalendar() throws NotesException;

   boolean isCategorized() throws NotesException;

   boolean isConflict() throws NotesException;

   boolean isDefaultView() throws NotesException;

   boolean isFolder() throws NotesException;

   boolean isHierarchical() throws NotesException;

   boolean isModified() throws NotesException;

   boolean isPrivate() throws NotesException;

   boolean isProtectReaders() throws NotesException;

   void setProtectReaders(boolean var1) throws NotesException;

   void refresh() throws NotesException;

   void remove() throws NotesException;
}
