package lotus.domino;

public interface ViewColumn extends Base {
   int ALIGN_LEFT = 0;
   int ALIGN_RIGHT = 1;
   int ALIGN_CENTER = 2;
   int SEP_SPACE = 1;
   int SEP_COMMA = 2;
   int SEP_SEMICOLON = 3;
   int SEP_NEWLINE = 4;
   int SEP_BLANKLINE = 5;
   int FMT_GENERAL = 0;
   int FMT_FIXED = 1;
   int FMT_SCIENTIFIC = 2;
   int FMT_CURRENCY = 3;
   int ATTR_PUNCTUATED = 1;
   int ATTR_PARENS = 2;
   int ATTR_PERCENT = 4;
   int FMT_YMD = 0;
   int FMT_PARTIAL = 1;
   int FMT_MD = 2;
   int FMT_YM = 3;
   int FMT_Y4MD = 4;
   int FMT_PARTIAL4 = 5;
   int FMT_Y4M = 6;
   int FMT_HMS = 0;
   int FMT_HM = 1;
   int FMT_H = 2;
   int FMT_NEVER = 0;
   int FMT_SOMETIMES = 1;
   int FMT_ALWAYS = 2;
   int FMT_DATE = 0;
   int FMT_TIME = 1;
   int FMT_DATETIME = 2;
   int FMT_TODAYTIME = 3;
   int FMT_TODAY = 4;
   int FONT_BOLD = 1;
   int FONT_ITALIC = 2;
   int FONT_UNDERLINE = 4;
   int FONT_STRIKEOUT = 8;

   boolean isField() throws NotesException;

   boolean isFormula() throws NotesException;

   String getTitle() throws NotesException;

   String getItemName() throws NotesException;

   int getPosition() throws NotesException;

   String getFormula() throws NotesException;

   int getWidth() throws NotesException;

   int getListSep() throws NotesException;

   int getAlignment() throws NotesException;

   int getHeaderAlignment() throws NotesException;

   String getFontFace() throws NotesException;

   int getFontStyle() throws NotesException;

   int getFontColor() throws NotesException;

   int getFontPointSize() throws NotesException;

   int getNumberDigits() throws NotesException;

   int getNumberFormat() throws NotesException;

   int getNumberAttrib() throws NotesException;

   int getDateFmt() throws NotesException;

   int getTimeFmt() throws NotesException;

   int getTimeZoneFmt() throws NotesException;

   int getTimeDateFmt() throws NotesException;

   View getParent() throws NotesException;

   boolean isSorted() throws NotesException;

   boolean isCategory() throws NotesException;

   boolean isHidden() throws NotesException;

   boolean isResponse() throws NotesException;

   boolean isSortDescending() throws NotesException;

   boolean isHideDetail() throws NotesException;

   boolean isIcon() throws NotesException;

   boolean isResize() throws NotesException;

   boolean isResortAscending() throws NotesException;

   boolean isResortDescending() throws NotesException;

   boolean isShowTwistie() throws NotesException;

   boolean isResortToView() throws NotesException;

   boolean isSecondaryResort() throws NotesException;

   boolean isSecondaryResortDescending() throws NotesException;

   boolean isCaseSensitiveSort() throws NotesException;

   boolean isAccentSensitiveSort() throws NotesException;
}
