package lotus.domino;

import java.util.Vector;

public interface ViewEntry extends Base {
   byte TYPE_DOCUMENT = 1;
   byte TYPE_CATEGORY = 2;
   byte TYPE_TOTAL = 3;

   boolean isDocument() throws NotesException;

   boolean isCategory() throws NotesException;

   boolean isTotal() throws NotesException;

   Object getParent() throws NotesException;

   Document getDocument() throws NotesException;

   int getSiblingCount() throws NotesException;

   int getChildCount() throws NotesException;

   int getDescendantCount() throws NotesException;

   int getIndentLevel() throws NotesException;

   int getColumnIndentLevel() throws NotesException;

   String getPosition(char var1) throws NotesException;

   String getNoteID() throws NotesException;

   String getUniversalID() throws NotesException;

   boolean isConflict() throws NotesException;

   Vector getColumnValues() throws NotesException;

   int getFTSearchScore() throws NotesException;

   boolean isValid() throws NotesException;
}
