package lotus.domino;

public interface ViewNavigator extends Base {
   boolean gotoFirst() throws NotesException;

   ViewEntry getFirst() throws NotesException;

   boolean gotoFirstDocument() throws NotesException;

   ViewEntry getFirstDocument() throws NotesException;

   boolean gotoNext() throws NotesException;

   ViewEntry getNext() throws NotesException;

   boolean gotoNextCategory() throws NotesException;

   boolean gotoNextDocument() throws NotesException;

   ViewEntry getNextCategory() throws NotesException;

   ViewEntry getNextDocument() throws NotesException;

   boolean gotoPrev() throws NotesException;

   ViewEntry getPrev() throws NotesException;

   boolean gotoPrevCategory() throws NotesException;

   boolean gotoPrevDocument() throws NotesException;

   ViewEntry getPrevCategory() throws NotesException;

   ViewEntry getPrevDocument() throws NotesException;

   ViewEntry getCurrent() throws NotesException;

   boolean gotoLast() throws NotesException;

   ViewEntry getLast() throws NotesException;

   boolean gotoLastDocument() throws NotesException;

   ViewEntry getLastDocument() throws NotesException;

   boolean gotoPos(String var1, char var2) throws NotesException;

   ViewEntry getPos(String var1, char var2) throws NotesException;

   ViewEntry getNth(int var1) throws NotesException;

   boolean gotoChild() throws NotesException;

   ViewEntry getChild() throws NotesException;

   boolean gotoNextSibling() throws NotesException;

   ViewEntry getNextSibling() throws NotesException;

   boolean gotoPrevSibling() throws NotesException;

   ViewEntry getPrevSibling() throws NotesException;

   boolean gotoParent() throws NotesException;

   ViewEntry getParent() throws NotesException;

   boolean gotoEntry(Object var1) throws NotesException;

   boolean gotoNext(ViewEntry var1) throws NotesException;

   ViewEntry getNext(ViewEntry var1) throws NotesException;

   boolean gotoPrev(ViewEntry var1) throws NotesException;

   ViewEntry getPrev(ViewEntry var1) throws NotesException;

   boolean gotoChild(ViewEntry var1) throws NotesException;

   ViewEntry getChild(ViewEntry var1) throws NotesException;

   boolean gotoNextSibling(ViewEntry var1) throws NotesException;

   ViewEntry getNextSibling(ViewEntry var1) throws NotesException;

   boolean gotoPrevSibling(ViewEntry var1) throws NotesException;

   ViewEntry getPrevSibling(ViewEntry var1) throws NotesException;

   boolean gotoParent(ViewEntry var1) throws NotesException;

   ViewEntry getParent(ViewEntry var1) throws NotesException;

   int getCacheSize();

   void setCacheSize(int var1) throws NotesException;

   int getMaxLevel();

   void setMaxLevel(int var1) throws NotesException;

   View getParentView();
}
