package lotus.domino.local;

import java.util.Vector;
import lotus.domino.Name;
import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class ACLEntry extends NotesBase implements lotus.domino.ACLEntry {
   private transient ACL parent;

   private native void NenableRole(String var1);

   private native void NdisableRole(String var1);

   private native boolean NisRoleEnabled(String var1);

   private native void Nremove();

   protected ACLEntry() throws NotesException {
   }

   protected ACLEntry(ACL var1, int var2) throws NotesException {
      super(var2, 14);
      if (var1 == null) {
         throw new NotesException(4403, JavaString.resource.getString("missing_acl_object"));
      } else {
         this.parent = var1;
         var1.AddEntry(this);
      }
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.parent.RemoveEntry(this);
      this.InternalFinalize();
   }

   public void recycle() throws NotesException {
      try {
         this.parent.RemoveEntry(this);
      } catch (NotesException var5) {
      } finally {
         super.Recycle();
      }

   }

   public void enableRole(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NenableRole(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void disableRole(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NdisableRole(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isRoleEnabled(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var2;
      try {
         var2 = this.NisRoleEnabled(var1);
      } catch (Throwable var6) {
         throw var6;
      }

      return var2;
   }

   public void remove() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.Nremove();
         this.parent.RemoveEntry(this);
         super.cpp_object = 0;
         this.finalize();
      } catch (Throwable var3) {
         throw var3;
      }

   }

   public Vector getRoles() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      Vector var2;
      try {
         String[] var5 = ((NotesBase)this).PropGetStringArray(1410);
         Vector var1;
         if (var5 != null && var5.length > 0) {
            var1 = new Vector(var5.length, 1);

            for(int var6 = 0; var6 < var5.length; ++var6) {
               var1.addElement(var5[var6]);
            }
         } else {
            var1 = new Vector(1);
         }

         var2 = var1;
      } catch (Throwable var8) {
         throw var8;
      }

      return var2;
   }

   public String getName() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(1411);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public String toString() {
      String var1;
      try {
         var1 = this.getName();
      } catch (Exception var2) {
         var1 = null;
      }

      return var1;
   }

   public void setName(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetString(1411, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public Name getNameObject() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.local.Name var1;
      try {
         String var4 = ((NotesBase)this).PropGetString(1411);
         lotus.domino.local.Name var5 = (lotus.domino.local.Name)((Session)((Database)this.parent.getParent()).getParent()).createName(var4);
         var1 = var5;
      } catch (Throwable var7) {
         throw var7;
      }

      return var1;
   }

   public void setName(Name var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4443, JavaString.resource.getString("missing_name_object"));
      } else {
         String var2 = ((lotus.domino.local.Name)var1).getCanonical();
         synchronized(this){}

         try {
            ((NotesBase)this).PropSetString(1411, var2);
         } catch (Throwable var5) {
            throw var5;
         }

      }
   }

   public int getLevel() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1412);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setLevel(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetInt(1412, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isCanCreatePersonalAgent() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1413);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanCreatePersonalAgent(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1413, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isCanCreatePersonalFolder() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1414);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanCreatePersonalFolder(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1414, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isCanCreateDocuments() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1415);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanCreateDocuments(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1415, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isCanDeleteDocuments() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1416);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanDeleteDocuments(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1416, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public lotus.domino.ACL getParent() throws NotesException {
      ((NotesBase)this).CheckObject();
      return this.parent;
   }

   public boolean isPublicReader() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1424);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setPublicReader(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1424, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isPublicWriter() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1425);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setPublicWriter(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1425, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isCanCreateLSOrJava() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1426);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanCreateLSOrJava(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1426, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isServer() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1427);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setServer(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1427, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isPerson() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1428);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setPerson(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1428, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isGroup() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1429);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setGroup(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1429, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public int getUserType() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      byte var1;
      try {
         int var4 = ((NotesBase)this).PropGetInt(1465);
         if ((var4 & 2) != 0) {
            if ((var4 & 64) != 0) {
               if ((var4 & 32) != 0) {
                  var1 = 3;
                  return var1;
               }

               var1 = 5;
               return var1;
            }

            var1 = 2;
            return var1;
         }

         if ((var4 & 32) == 0) {
            var1 = 0;
            return var1;
         }

         if ((var4 & 64) != 0) {
            var1 = 4;
            return var1;
         }

         var1 = 1;
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public void setUserType(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      byte var2 = 0;
      switch (var1) {
         case 0:
            var2 = 0;
            break;
         case 1:
            var2 = 32;
            break;
         case 2:
            var2 = 2;
            break;
         case 3:
            var2 = 98;
            break;
         case 4:
            var2 = 96;
            break;
         case 5:
            var2 = 66;
      }

      ((NotesBase)this).PropSetInt(1464, var2);
   }

   public boolean isCanCreateSharedFolder() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1460);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setCanCreateSharedFolder(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1460, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isAdminReaderAuthor() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1461);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setAdminReaderAuthor(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1461, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isAdminServer() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1462);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setAdminServer(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1462, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }
}
