package lotus.domino.local;

import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class DateRange extends NotesBase implements lotus.domino.DateRange {
   private transient Session session;

   protected DateRange() throws NotesException {
   }

   protected DateRange(Session var1, int var2) throws NotesException {
      super(var2, 22);
      if (var1 == null) {
         throw new NotesException(4404, JavaString.resource.getString("missing_session_object"));
      } else {
         this.session = var1;
         var1.AddObject(this);
      }
   }

   protected DateRange(Session var1, int var2, DateTime var3, DateTime var4) throws NotesException {
      super(var2, 22);
      if (var1 == null) {
         throw new NotesException(4404, JavaString.resource.getString("missing_session_object"));
      } else {
         this.session = var1;
         var1.AddObject(this);
         this.setStartDateTime(var3);
         this.setEndDateTime(var4);
      }
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.session.RemoveObject(this);
      this.InternalFinalize();
   }

   public void recycle() throws NotesException {
      try {
         this.session.RemoveObject(this);
      } catch (NotesException var5) {
      } finally {
         super.Recycle();
      }

   }

   public lotus.domino.DateTime getStartDateTime() throws NotesException {
      ((NotesBase)this).CheckObject();
      return this.session.FindOrCreateDateTime(((NotesBase)this).PropGetAdt(1690));
   }

   public void setStartDateTime(lotus.domino.DateTime var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4449, JavaString.resource.getString("missing_datetime_object"));
      } else {
         DateTime var2 = this.session.FindOrCreateDateTime(((DateTime)var1).GetCppObj());
         ((NotesBase)this).PropSetDate(1690, var2);
      }
   }

   public lotus.domino.DateTime getEndDateTime() throws NotesException {
      ((NotesBase)this).CheckObject();
      return this.session.FindOrCreateDateTime(((NotesBase)this).PropGetAdt(1691));
   }

   public void setEndDateTime(lotus.domino.DateTime var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4449, JavaString.resource.getString("missing_datetime_object"));
      } else {
         DateTime var2 = this.session.FindOrCreateDateTime(((DateTime)var1).GetCppObj());
         ((NotesBase)this).PropSetDate(1691, var2);
      }
   }

   public String getText() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetString(1692);
   }

   public String toString() {
      String var1;
      try {
         var1 = this.getText();
      } catch (Exception var2) {
         var1 = null;
      }

      return var1;
   }

   public void setText(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetString(1692, var1);
   }

   public lotus.domino.Session getParent() throws NotesException {
      return this.session;
   }
}
