package lotus.domino.local;

import lotus.domino.Document;
import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class Newsletter extends NotesBase implements lotus.domino.Newsletter {
   private transient Session session;

   private native int NformatMsgWithDoclinks(Database var1);

   private native int NformatDocument(Database var1, int var2);

   protected Newsletter() throws NotesException {
   }

   protected Newsletter(Session var1, int var2) throws NotesException {
      super(var2, 7);
      if (var1 == null) {
         throw new NotesException(4404, JavaString.resource.getString("missing_session_object"));
      } else {
         this.session = var1;
         var1.AddObject(this);
      }
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.session.RemoveObject(this);
      this.InternalFinalize();
   }

   public void recycle() throws NotesException {
      try {
         this.session.RemoveObject(this);
      } catch (NotesException var5) {
      } finally {
         super.Recycle();
      }

   }

   public Document formatMsgWithDoclinks(lotus.domino.Database var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.local.Document var2;
      try {
         int var5 = this.NformatMsgWithDoclinks((Database)var1);
         if (var1 == null) {
            Database var8 = (Database)((DbDirectory)this.session.getDbDirectory("")).openMailDatabase();
            var2 = ((Database)var8).FindOrCreateDocument(var5);
            return var2;
         }

         var2 = ((Database)var1).FindOrCreateDocument(var5);
      } catch (Throwable var7) {
         throw var7;
      }

      return var2;
   }

   public Document formatDocument(lotus.domino.Database var1, int var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.local.Document var3;
      try {
         int var6 = this.NformatDocument((Database)var1, var2);
         if (var1 == null) {
            Database var9 = (Database)((DbDirectory)this.session.getDbDirectory("")).openMailDatabase();
            var3 = ((Database)var9).FindOrCreateDocument(var6);
            return var3;
         }

         var3 = ((Database)var1).FindOrCreateDocument(var6);
      } catch (Throwable var8) {
         throw var8;
      }

      return var3;
   }

   public boolean isDoSubject() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1220);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setDoSubject(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1220, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public boolean isDoScore() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1221);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setDoScore(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1221, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public String getSubjectItemName() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(1222);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public void setSubjectItemName(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetString(1222, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public lotus.domino.Session getParent() throws NotesException {
      return this.session;
   }
}
