package lotus.domino.local;

import java.util.Enumeration;
import java.util.Vector;
import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class Outline extends NotesBase implements lotus.domino.Outline {
   private static final int NOERROR = 0;
   private transient Session session;
   private transient Vector objlist = new Vector();

   private native int Nsave();

   private native int NgetParent(OutlineEntry var1);

   private native int NgetNext(OutlineEntry var1);

   private native int NgetPrev(OutlineEntry var1);

   private native int NgetNextSibling(OutlineEntry var1);

   private native int NgetPrevSibling(OutlineEntry var1);

   private native int NgetFirst();

   private native int NgetLast();

   private native long NgetLevel(OutlineEntry var1);

   private native void NaddEntry(OutlineEntry var1, OutlineEntry var2, boolean var3);

   private native void NremoveEntry(OutlineEntry var1, boolean var2);

   private native void NmoveEntry(OutlineEntry var1, OutlineEntry var2, boolean var3, boolean var4);

   private native void NmoveEntries(OutlineEntry var1, OutlineEntry var2, OutlineEntry var3, boolean var4, boolean var5);

   protected Outline() throws NotesException {
   }

   protected Outline(Session var1, int var2) throws NotesException {
      super(var2, 30);
      if (var1 == null) {
         throw new NotesException(4404, JavaString.resource.getString("missing_outline_object"));
      } else {
         this.session = var1;
         this.session.AddObject(this);
      }
   }

   public synchronized void finalize() throws NotesException {
      try {
         this.session.RemoveObject(this);
      } catch (NotesException var6) {
         System.out.println(var6);
      } finally {
         super.finalize();
      }

   }

   public synchronized void recycle() throws NotesException {
      try {
         this.session.RemoveObject(this);
      } catch (NotesException var6) {
         System.out.println(var6);
      } finally {
         super.Recycle();
      }

   }

   protected void AddObject(Object var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      Vector var2 = this.objlist;
      synchronized(var2){}

      try {
         this.objlist.addElement(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   protected void RemoveObject(Object var1) throws NotesException {
      if (this.objlist != null) {
         Vector var2 = this.objlist;
         synchronized(var2){}

         try {
            this.objlist.removeElement(var1);
         } catch (Throwable var4) {
            throw var4;
         }

      }
   }

   protected OutlineEntry FindOrCreateOutlineEntry(int var1) throws NotesException {
      OutlineEntry var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 != 0) {
         Object var3 = null;
         Vector var4 = this.objlist;
         synchronized(var4){}

         try {
            Enumeration var6 = this.objlist.elements();

            while(var6.hasMoreElements()) {
               NotesBase var9 = (NotesBase)var6.nextElement();
               if (var9 instanceof OutlineEntry && var9.isEqual(var1)) {
                  var2 = (OutlineEntry)var9;
               }
            }
         } catch (Throwable var8) {
            throw var8;
         }

         if (var2 == null) {
            var2 = new OutlineEntry(this, var1);
         }
      }

      return var2;
   }

   public int save() throws NotesException {
      byte var1 = 0;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.Nsave();
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public lotus.domino.OutlineEntry getParent(lotus.domino.OutlineEntry var1) throws NotesException {
      Object var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            int var5 = this.NgetParent((OutlineEntry)var1);
            var8 = this.FindOrCreateOutlineEntry(var5);
         } catch (Throwable var7) {
            throw var7;
         }

         return var8;
      }
   }

   public lotus.domino.OutlineEntry getNext(lotus.domino.OutlineEntry var1) throws NotesException {
      Object var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            int var5 = this.NgetNext((OutlineEntry)var1);
            var8 = this.FindOrCreateOutlineEntry(var5);
         } catch (Throwable var7) {
            throw var7;
         }

         return var8;
      }
   }

   public lotus.domino.OutlineEntry getPrev(lotus.domino.OutlineEntry var1) throws NotesException {
      Object var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            int var5 = this.NgetPrev((OutlineEntry)var1);
            var8 = this.FindOrCreateOutlineEntry(var5);
         } catch (Throwable var7) {
            throw var7;
         }

         return var8;
      }
   }

   public lotus.domino.OutlineEntry getNextSibling(lotus.domino.OutlineEntry var1) throws NotesException {
      Object var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            int var5 = this.NgetNextSibling((OutlineEntry)var1);
            var8 = this.FindOrCreateOutlineEntry(var5);
         } catch (Throwable var7) {
            throw var7;
         }

         return var8;
      }
   }

   public lotus.domino.OutlineEntry getPrevSibling(lotus.domino.OutlineEntry var1) throws NotesException {
      Object var2 = null;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            int var5 = this.NgetPrevSibling((OutlineEntry)var1);
            var8 = this.FindOrCreateOutlineEntry(var5);
         } catch (Throwable var7) {
            throw var7;
         }

         return var8;
      }
   }

   public lotus.domino.OutlineEntry getFirst() throws NotesException {
      Object var1 = null;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         int var4 = this.NgetFirst();
         var7 = this.FindOrCreateOutlineEntry(var4);
      } catch (Throwable var6) {
         throw var6;
      }

      return var7;
   }

   public lotus.domino.OutlineEntry getLast() throws NotesException {
      Object var1 = null;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         int var4 = this.NgetLast();
         var7 = this.FindOrCreateOutlineEntry(var4);
      } catch (Throwable var6) {
         throw var6;
      }

      return var7;
   }

   public long getLevel(lotus.domino.OutlineEntry var1) throws NotesException {
      long var2 = 0L;
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            var2 = this.NgetLevel((OutlineEntry)var1);
         } catch (Throwable var6) {
            throw var6;
         }

         return var2;
      }
   }

   public void addEntry(lotus.domino.OutlineEntry var1, lotus.domino.OutlineEntry var2, boolean var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            this.NaddEntry((OutlineEntry)var1, (OutlineEntry)var2, var3);
         } catch (Throwable var6) {
            throw var6;
         }

      }
   }

   public void removeEntry(lotus.domino.OutlineEntry var1, boolean var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == null) {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      } else {
         synchronized(this){}

         try {
            this.NremoveEntry((OutlineEntry)var1, var2);
         } catch (Throwable var5) {
            throw var5;
         }

      }
   }

   public void moveEntry(lotus.domino.OutlineEntry var1, lotus.domino.OutlineEntry var2, boolean var3, boolean var4) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 != null && var2 != null) {
         synchronized(this){}

         try {
            this.NmoveEntry((OutlineEntry)var1, (OutlineEntry)var2, var3, var4);
         } catch (Throwable var7) {
            throw var7;
         }

      } else {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      }
   }

   public void moveEntries(lotus.domino.OutlineEntry var1, lotus.domino.OutlineEntry var2, lotus.domino.OutlineEntry var3, boolean var4, boolean var5) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 != null && var2 != null && var3 != null) {
         synchronized(this){}

         try {
            this.NmoveEntries((OutlineEntry)var1, (OutlineEntry)var2, (OutlineEntry)var3, var4, var5);
         } catch (Throwable var8) {
            throw var8;
         }

      } else {
         throw new NotesException(4448, JavaString.resource.getString("missing_outline_object"));
      }
   }

   public String getName() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(1572);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }
}
