package lotus.domino.local;

import lotus.domino.DateTime;
import lotus.domino.NotesException;
import lotus.domino.Session;
import lotus.notes.JavaString;

public class Replication extends NotesBase implements lotus.domino.Replication {
   private static final int NOERROR = 0;
   private transient Database database;

   private native int Nsave();

   private native int Nreset();

   private native int NclearHistory();

   protected Replication() throws NotesException {
   }

   protected Replication(Database var1, int var2) throws NotesException {
      super(var2, 28);
      if (var1 == null) {
         throw new NotesException(4405, JavaString.resource.getString("missing_db_object"));
      } else {
         this.database = var1;
         var1.AddObject(this);
      }
   }

   public synchronized void finalize() throws NotesException {
      try {
         this.database.RemoveObject(this);
      } catch (NotesException var6) {
         System.out.println(var6);
      } finally {
         super.finalize();
      }

   }

   public synchronized void recycle() throws NotesException {
      try {
         this.database.RemoveObject(this);
      } catch (NotesException var6) {
         System.out.println(var6);
      } finally {
         super.Recycle();
      }

   }

   public int reset() throws NotesException {
      byte var1 = 0;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.Nreset();
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public int save() throws NotesException {
      byte var1 = 0;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.Nsave();
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public int clearHistory() throws NotesException {
      short var1 = 4395;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NclearHistory();
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public long getCutoffInterval() throws NotesException {
      long var1 = 0L;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = (long)((NotesBase)this).PropGetInt(1533);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public DateTime getCutoffDate() throws NotesException {
      lotus.domino.local.DateTime var1 = null;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         Session var4 = this.database.getParent();
         if (var4 instanceof lotus.domino.local.Session) {
            var1 = ((lotus.domino.local.Session)var4).FindOrCreateDateTime(((NotesBase)this).PropGetDate(1534));
         }
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public boolean getDisabled() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1535);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getIgnoreDeletes() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1536);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getHideDesign() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1537);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getDoNotCatalog() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1538);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getCutoffDelete() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1539);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getNeverReplicate() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1540);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getAbstract() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1541);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getDoNotBrowse() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1542);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getNoChronos() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1543);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getIgnoreDestDeletes() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1544);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public boolean getMultiDbIndex() throws NotesException {
      boolean var1 = false;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetBool(1545);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public int getPriority() throws NotesException {
      int var1 = 1565;
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         var1 = ((NotesBase)this).PropGetInt(1546);
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public void setCutoffInterval(long var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetInt(1533, (int)var1);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void setDisabled(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1535, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setIgnoreDeletes(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1536, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setHideDesign(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1537, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setDoNotCatalog(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1538, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setCutoffDelete(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1539, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setNeverReplicate(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1540, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setAbstract(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1541, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setDoNotBrowse(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1542, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setNoChronos(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1543, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setIgnoreDestDeletes(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1544, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setMultiDbIndex(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetBool(1545, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void setPriority(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         ((NotesBase)this).PropSetInt(1546, var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }
}
