package lotus.domino.local;

import java.util.Vector;
import lotus.domino.Database;
import lotus.domino.EmbeddedObject;
import lotus.domino.NotesException;
import lotus.domino.View;
import lotus.notes.JavaString;

public class RichTextItem extends Item implements lotus.domino.RichTextItem {
   private native void NaddNewLine(int var1, boolean var2);

   private native void NaddTab(int var1);

   private native void NappendDocLink(NotesBase var1, String var2, String var3);

   private native void NappendRTItem(RichTextItem var1);

   private native void NappendText(String var1);

   private native String NgetFormattedText(boolean var1, int var2, int var3);

   private native int NgetEmbeddedObject(String var1);

   private native int NembedObject(int var1, String var2, String var3, String var4);

   private native void NappendStyle(RichTextStyle var1);

   private native void NappendParagraphStyle(RichTextParagraphStyle var1);

   private native void NaddPageBreak(RichTextParagraphStyle var1);

   protected RichTextItem() throws NotesException {
   }

   protected RichTextItem(Document var1, int var2) throws NotesException {
      super(var2, 6);
      if (var1 == null) {
         throw new NotesException(4406, JavaString.resource.getString("missing_document_object"));
      } else {
         super.parent = var1;
         super.parent.AddItem(this);
      }
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.InternalFinalize();
   }

   public void recycle() throws NotesException {
      super.Recycle();
   }

   public void addNewLine(int var1, boolean var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NaddNewLine(var1, var2);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void addNewLine(int var1) throws NotesException {
      this.addNewLine(var1, true);
   }

   public void addNewLine() throws NotesException {
      this.addNewLine(1, true);
   }

   public void addTab(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NaddTab(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void addTab() throws NotesException {
      this.addTab(1);
   }

   public void appendDocLink(lotus.domino.Document var1, String var2, String var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((Document)var1, var2, var3);
      } catch (Throwable var6) {
         throw var6;
      }

   }

   public void appendDocLink(lotus.domino.Document var1, String var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((Document)var1, var2, (String)null);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void appendDocLink(lotus.domino.Document var1) throws NotesException {
      this.appendDocLink((lotus.domino.Document)((Document)var1), (String)null, (String)null);
   }

   public void appendDocLink(Database var1, String var2, String var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((lotus.domino.local.Database)var1, var2, var3);
      } catch (Throwable var6) {
         throw var6;
      }

   }

   public void appendDocLink(Database var1, String var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((lotus.domino.local.Database)var1, var2, (String)null);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void appendDocLink(Database var1) throws NotesException {
      this.appendDocLink((Database)((lotus.domino.local.Database)var1), (String)null, (String)null);
   }

   public void appendDocLink(View var1, String var2, String var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((lotus.domino.local.View)var1, var2, var3);
      } catch (Throwable var6) {
         throw var6;
      }

   }

   public void appendDocLink(View var1, String var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendDocLink((lotus.domino.local.View)var1, var2, (String)null);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void appendDocLink(View var1) throws NotesException {
      this.appendDocLink((View)((lotus.domino.local.View)var1), (String)null, (String)null);
   }

   public void appendRTItem(lotus.domino.RichTextItem var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendRTItem((RichTextItem)var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void appendStyle(lotus.domino.RichTextStyle var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendStyle((RichTextStyle)var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void appendParagraphStyle(lotus.domino.RichTextParagraphStyle var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendParagraphStyle((RichTextParagraphStyle)var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void addPageBreak(lotus.domino.RichTextParagraphStyle var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NaddPageBreak((RichTextParagraphStyle)var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void addPageBreak() throws NotesException {
      this.addPageBreak((lotus.domino.RichTextParagraphStyle)null);
   }

   public void appendText(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NappendText(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public String getFormattedText(boolean var1, int var2, int var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var4;
      try {
         var4 = this.NgetFormattedText(var1, var2, var3);
      } catch (Throwable var8) {
         throw var8;
      }

      return var4;
   }

   public EmbeddedObject getEmbeddedObject(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.local.EmbeddedObject var2;
      try {
         var2 = super.parent.FindOrCreateEmbedded(this.NgetEmbeddedObject(var1));
      } catch (Throwable var6) {
         throw var6;
      }

      return var2;
   }

   public EmbeddedObject embedObject(int var1, String var2, String var3, String var4) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.local.EmbeddedObject var5;
      try {
         var5 = super.parent.FindOrCreateEmbedded(this.NembedObject(var1, var2, var3, var4));
      } catch (Throwable var9) {
         throw var9;
      }

      return var5;
   }

   public Vector getEmbeddedObjects() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      Vector var1;
      try {
         int[] var4 = ((NotesBase)this).PropGetObjArray(1352);
         if (var4 != null && var4.length != 0) {
            Vector var7 = new Vector(var4.length);

            for(int var5 = 0; var5 < var4.length; ++var5) {
               lotus.domino.local.EmbeddedObject var6 = super.parent.FindOrCreateEmbedded(var4[var5]);
               var7.addElement(var6);
            }

            var1 = var7;
            return var1;
         }

         var1 = null;
      } catch (Throwable var9) {
         throw var9;
      }

      return var1;
   }
}
