package lotus.domino.local;

import java.util.Enumeration;
import java.util.Vector;
import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class RichTextParagraphStyle extends NotesBase implements lotus.domino.RichTextParagraphStyle {
   private transient Session session;
   private transient Vector tablist;

   private native void NsetTab(int var1, int var2);

   private native void NsetTabs(int var1, int var2, int var3, int var4);

   private native void NclearAllTabs();

   protected RichTextParagraphStyle() throws NotesException {
   }

   protected RichTextParagraphStyle(Session var1, int var2) throws NotesException {
      super(var2, 26);
      if (var1 == null) {
         throw new NotesException(4404, JavaString.resource.getString("missing_session_object"));
      } else {
         this.session = var1;
         this.session.AddObject(this);
         this.tablist = new Vector(0);
      }
   }

   protected void InternalFinalize() throws NotesException {
      try {
         if (this.tablist != null) {
            Vector var5 = this.tablist;
            synchronized(var5){}

            try {
               Enumeration var2 = this.tablist.elements();

               while(var2.hasMoreElements()) {
                  NotesBase var1 = (NotesBase)var2.nextElement();
                  super.DestroyObject(var1);
               }
            } catch (Throwable var26) {
               throw var26;
            }
         }
      } catch (Exception var27) {
      } finally {
         if (this.tablist != null) {
            Vector var29 = this.tablist;
            synchronized(var29){}

            try {
               this.tablist.removeAllElements();
               this.tablist = null;
            } catch (Throwable var25) {
               throw var25;
            }
         }

         super.finalize();
      }

   }

   public void finalize() throws NotesException {
      this.session.RemoveObject(this);
      this.InternalFinalize();
   }

   protected void AddTab(Object var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (this.tablist != null) {
         Vector var2 = this.tablist;
         synchronized(var2){}

         try {
            this.tablist.addElement(var1);
         } catch (Throwable var4) {
            throw var4;
         }

      }
   }

   protected void RemoveTab(Object var1) throws NotesException {
      if (this.tablist != null) {
         Vector var2 = this.tablist;
         synchronized(var2){}

         try {
            this.tablist.removeElement(var1);
         } catch (Throwable var4) {
            throw var4;
         }

      }
   }

   protected RichTextTab FindOrCreateTab(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      if (var1 == 0) {
         return null;
      } else {
         if (this.tablist != null) {
            Vector var3 = this.tablist;
            synchronized(var3){}

            try {
               Enumeration var5 = this.tablist.elements();

               while(var5.hasMoreElements()) {
                  RichTextTab var6 = (RichTextTab)var5.nextElement();
                  if (((NotesBase)var6).isEqual(var1)) {
                     RichTextTab var2 = var6;
                     return var2;
                  }
               }
            } catch (Throwable var8) {
               throw var8;
            }
         }

         return new RichTextTab(this, var1);
      }
   }

   public void recycle() throws NotesException {
      try {
         this.session.RemoveObject(this);
         if (this.tablist != null) {
            Vector var5 = this.tablist;
            synchronized(var5){}

            try {
               Enumeration var2 = this.tablist.elements();

               while(var2.hasMoreElements()) {
                  NotesBase var1 = (NotesBase)var2.nextElement();
                  super.RecycleObject(var1);
               }
            } catch (Throwable var26) {
               throw var26;
            }
         }
      } catch (NotesException var27) {
      } finally {
         if (this.tablist != null) {
            Vector var29 = this.tablist;
            synchronized(var29){}

            try {
               this.tablist.removeAllElements();
               this.tablist = null;
            } catch (Throwable var25) {
               throw var25;
            }
         }

         super.Recycle();
      }

   }

   public int getAlignment() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1860);
   }

   public void setAlignment(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1860, var1);
   }

   public int getInterLineSpacing() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1861);
   }

   public void setInterLineSpacing(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1861, var1);
   }

   public int getSpacingAbove() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1862);
   }

   public void setSpacingAbove(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1862, var1);
   }

   public int getSpacingBelow() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1863);
   }

   public void setSpacingBelow(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1863, var1);
   }

   public int getLeftMargin() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1864);
   }

   public void setLeftMargin(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1864, var1);
   }

   public int getRightMargin() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1865);
   }

   public void setRightMargin(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1865, var1);
   }

   public int getFirstLineLeftMargin() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1866);
   }

   public void setFirstLineLeftMargin(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1866, var1);
   }

   public int getPagination() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1867);
   }

   public void setPagination(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      ((NotesBase)this).PropSetInt(1867, var1);
   }

   public Vector getTabs() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      Vector var1;
      try {
         int[] var4 = ((NotesBase)this).PropGetObjArray(1868);
         if (var4.length != 0) {
            Vector var7 = new Vector(var4.length);

            for(int var6 = 0; var6 < var4.length; ++var6) {
               RichTextTab var5 = this.FindOrCreateTab(var4[var6]);
               var7.addElement(var5);
            }

            var1 = var7;
            return var1;
         }

         var1 = null;
      } catch (Throwable var9) {
         throw var9;
      }

      return var1;
   }

   public void setTab(int var1, int var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      this.NsetTab(var1, var2);
   }

   public void setTabs(int var1, int var2, int var3) throws NotesException {
      ((NotesBase)this).CheckObject();
      this.NsetTabs(var1, var2, var3, 0);
   }

   public void setTabs(int var1, int var2, int var3, int var4) throws NotesException {
      ((NotesBase)this).CheckObject();
      this.NsetTabs(var1, var2, var3, var4);
   }

   public void clearAllTabs() throws NotesException {
      ((NotesBase)this).CheckObject();
      this.NclearAllTabs();
      if (this.tablist != null) {
         Vector var1 = this.tablist;
         synchronized(var1){}

         try {
            this.tablist.removeAllElements();
         } catch (Throwable var3) {
            throw var3;
         }

      }
   }
}
