package lotus.domino.local;

import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class ViewColumn extends NotesBase implements lotus.domino.ViewColumn {
   private transient View view;

   protected ViewColumn() throws NotesException {
   }

   protected ViewColumn(View var1, int var2) throws NotesException {
      super(var2, 15);
      if (var1 == null) {
         throw new NotesException(4407, JavaString.resource.getString("missing_view_object"));
      } else {
         this.view = var1;
         var1.AddColumn(this);
      }
   }

   public void recycle() throws NotesException {
      try {
         this.view.RemoveColumn(this);
      } catch (NotesException var5) {
      } finally {
         super.Recycle();
      }

   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.view.RemoveColumn(this);
      this.InternalFinalize();
   }

   public String getTitle() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetString(1430);
   }

   public String toString() {
      String var1;
      try {
         var1 = this.getTitle();
      } catch (Exception var2) {
         var1 = null;
      }

      return var1;
   }

   public String getItemName() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetString(1431);
   }

   public int getPosition() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1432);
   }

   public String getFormula() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetString(1433);
   }

   public boolean isSorted() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1434);
   }

   public boolean isCategory() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1435);
   }

   public boolean isHidden() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1436);
   }

   public boolean isResponse() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1437);
   }

   public int getWidth() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1438);
   }

   public boolean isField() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1930);
   }

   public boolean isFormula() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1931);
   }

   public boolean isSortDescending() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1884);
   }

   public boolean isHideDetail() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1885);
   }

   public boolean isIcon() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1886);
   }

   public boolean isResize() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1887);
   }

   public boolean isResortAscending() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1888);
   }

   public boolean isResortDescending() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1889);
   }

   public boolean isShowTwistie() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1890);
   }

   public boolean isResortToView() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1891);
   }

   public boolean isSecondaryResort() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1892);
   }

   public boolean isSecondaryResortDescending() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1893);
   }

   public boolean isCaseSensitiveSort() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1894);
   }

   public boolean isAccentSensitiveSort() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetBool(1895);
   }

   public String getFontFace() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetString(1896);
   }

   public int getListSep() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1881);
   }

   public int getAlignment() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1882);
   }

   public int getHeaderAlignment() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1883);
   }

   public int getFontStyle() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1897);
   }

   public int getFontColor() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1898);
   }

   public int getFontPointSize() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1905);
   }

   public int getNumberDigits() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1906);
   }

   public int getNumberFormat() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1907);
   }

   public int getNumberAttrib() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1908);
   }

   public int getDateFmt() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1909);
   }

   public int getTimeFmt() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1910);
   }

   public int getTimeZoneFmt() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1911);
   }

   public int getTimeDateFmt() throws NotesException {
      ((NotesBase)this).CheckObject();
      return ((NotesBase)this).PropGetInt(1912);
   }

   public lotus.domino.View getParent() throws NotesException {
      return this.view;
   }
}
