package lotus.domino.local;

import java.util.Vector;
import lotus.domino.Document;
import lotus.domino.NotesException;

public class ViewEntry extends NotesBase implements lotus.domino.ViewEntry {
   protected transient Object parent;
   protected transient Database parentDB;
   protected transient View parentView;
   protected transient CollectionPos pos;

   private native String NgetPosition(String var1);

   protected ViewEntry() throws NotesException {
   }

   protected ViewEntry(Object var1, int var2, CollectionPos var3) throws NotesException {
      super(var2, 25);
      if (var1 == null) {
         throw new NotesException(4408, "Missing parent object");
      } else {
         this.parent = var1;
         if (var1 instanceof ViewNavigator) {
            this.parentView = ((ViewNavigator)var1).parentView;
         } else if (var1 instanceof ViewEntryCollection) {
            this.parentView = ((ViewEntryCollection)var1).parentView;
         } else {
            this.parentView = (View)var1;
         }

         this.parentDB = this.parentView.database;
         if (var3 != null) {
            this.pos = new CollectionPos();
            this.pos.copyPos(var3);
         }

      }
   }

   protected View getParentView() {
      return this.parentView;
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.InternalFinalize();
   }

   public String getNoteID() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(1988);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public String getUniversalID() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(1989);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public String getPosition(char var1) {
      String var2 = "";
      var2 = var2 + var1;
      synchronized(this){}

      String var3;
      try {
         var3 = this.NgetPosition(var2);
      } catch (Throwable var7) {
         throw var7;
      }

      return var3;
   }

   public boolean isDocument() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1977);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public boolean isCategory() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1978);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public boolean isTotal() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1979);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public boolean isConflict() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1980);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getSiblingCount() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1982);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getChildCount() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1983);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getDescendantCount() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1984);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getIndentLevel() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1985);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getColumnIndentLevel() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1994);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public int getFTSearchScore() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(1986);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public Object getParent() {
      return this.parent;
   }

   public Document getDocument() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      Document var1;
      try {
         int var4 = ((NotesBase)this).PropGetAdt(1991);
         if (var4 == 0 || this.parentDB == null) {
            var1 = null;
            return var1;
         }

         var1 = this.parentDB.FindOrCreateDocument(var4);
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public Vector getColumnValues() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      Vector var1;
      try {
         var1 = ((NotesBase)this).PropGetVector(1990);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public boolean isValid() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      boolean var1;
      try {
         var1 = ((NotesBase)this).PropGetBool(1993);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }
}
