package lotus.domino.local;

import lotus.domino.NotesException;
import lotus.notes.JavaString;

public class ViewEntryCollection extends NotesBase implements lotus.domino.ViewEntryCollection {
   protected transient View parentView;
   private transient ViewEntry currEntry;

   private native int NgetFirstEntry();

   private native int NgetLastEntry();

   private native int NgetNextEntry(ViewEntry var1);

   private native int NgetPrevEntry(ViewEntry var1);

   private native int NgetNthEntry(int var1);

   private native void NFTSearch(String var1, int var2);

   private native void NremoveAll(boolean var1);

   private native void NupdateAll();

   private native void NstampAll(String var1, Object var2);

   private native void NputAllInFolder(String var1);

   private native void NremoveAllFromFolder(String var1);

   private native void NaddEntry(Object var1);

   private native void NdeleteEntry(ViewEntry var1);

   private native int NgetEntry(Object var1);

   protected ViewEntryCollection() throws NotesException {
   }

   protected ViewEntryCollection(View var1, int var2) throws NotesException {
      super(var2, 29);
      if (var1 == null) {
         throw new NotesException(4407, JavaString.resource.getString("missing_view_object"));
      } else {
         this.parentView = var1;
         var1.database.AddObject(this);
      }
   }

   protected void InternalFinalize() throws NotesException {
      super.finalize();
   }

   public void finalize() throws NotesException {
      this.parentView.database.RemoveObject(this);
      this.InternalFinalize();
   }

   public void recycle() throws NotesException {
      try {
         this.parentView.database.RemoveObject(this);
      } catch (NotesException var5) {
      } finally {
         super.Recycle();
      }

   }

   public lotus.domino.ViewEntry getFirstEntry() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var1;
      try {
         int var4 = this.NgetFirstEntry();
         if (var4 != 0) {
            this.currEntry = new ViewEntry(this, var4, (CollectionPos)null);
            var1 = this.currEntry;
            return var1;
         }

         var1 = null;
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public lotus.domino.ViewEntry getLastEntry() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var1;
      try {
         int var4 = this.NgetLastEntry();
         if (var4 != 0) {
            this.currEntry = new ViewEntry(this, var4, (CollectionPos)null);
            var1 = this.currEntry;
            return var1;
         }

         var1 = null;
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public lotus.domino.ViewEntry getNextEntry(lotus.domino.ViewEntry var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var2;
      try {
         if (var1 == null) {
            throw new NotesException(4446, JavaString.resource.getString("missing_viewentry_object"));
         }

         int var5 = this.NgetNextEntry((ViewEntry)var1);
         if (var5 != 0) {
            this.currEntry = new ViewEntry(this, var5, (CollectionPos)null);
            var2 = this.currEntry;
            return var2;
         }

         var2 = null;
      } catch (Throwable var7) {
         throw var7;
      }

      return var2;
   }

   public lotus.domino.ViewEntry getPrevEntry(lotus.domino.ViewEntry var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var2;
      try {
         if (var1 == null) {
            throw new NotesException(4446, JavaString.resource.getString("missing_viewentry_object"));
         }

         int var5 = this.NgetPrevEntry((ViewEntry)var1);
         if (var5 != 0) {
            this.currEntry = new ViewEntry(this, var5, (CollectionPos)null);
            var2 = this.currEntry;
            return var2;
         }

         var2 = null;
      } catch (Throwable var7) {
         throw var7;
      }

      return var2;
   }

   public lotus.domino.ViewEntry getNthEntry(int var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var2;
      try {
         int var5 = this.NgetNthEntry(var1);
         if (var5 != 0) {
            this.currEntry = new ViewEntry(this, var5, (CollectionPos)null);
            var2 = this.currEntry;
            return var2;
         }

         var2 = null;
      } catch (Throwable var7) {
         throw var7;
      }

      return var2;
   }

   public lotus.domino.ViewEntry getNextEntry() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var1;
      try {
         int var4 = this.NgetNextEntry(this.currEntry);
         if (var4 != 0) {
            this.currEntry = new ViewEntry(this, var4, (CollectionPos)null);
            var1 = this.currEntry;
            return var1;
         }

         var1 = null;
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public lotus.domino.ViewEntry getPrevEntry() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var1;
      try {
         int var4 = this.NgetPrevEntry(this.currEntry);
         if (var4 != 0) {
            this.currEntry = new ViewEntry(this, var4, (CollectionPos)null);
            var1 = this.currEntry;
            return var1;
         }

         var1 = null;
      } catch (Throwable var6) {
         throw var6;
      }

      return var1;
   }

   public lotus.domino.ViewEntry getEntry(Object var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      lotus.domino.ViewEntry var2;
      try {
         if (var1 == null) {
            throw new NotesException(4447, "missing_viewentry_or_document_object");
         }

         int var5 = this.NgetEntry(var1);
         if (var5 != 0) {
            this.currEntry = new ViewEntry(this, var5, (CollectionPos)null);
            var2 = this.currEntry;
            return var2;
         }

         var2 = null;
      } catch (Throwable var7) {
         throw var7;
      }

      return var2;
   }

   public void addEntry(Object var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         if (var1 == null) {
            throw new NotesException(4447, JavaString.resource.getString("missing_viewentry_or_document_object"));
         }

         this.NaddEntry(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void addEntry(Object var1, boolean var2) throws NotesException {
      this.addEntry(var1);
   }

   public void deleteEntry(lotus.domino.ViewEntry var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         if (var1 == null) {
            throw new NotesException(4446, JavaString.resource.getString("missing_viewentry_object"));
         }

         this.NdeleteEntry((ViewEntry)var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void FTSearch(String var1) throws NotesException {
      this.FTSearch(var1, 0);
   }

   public void FTSearch(String var1, int var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NFTSearch(var1, var2);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void removeAll(boolean var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      this.NremoveAll(var1);
   }

   public void updateAll() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NupdateAll();
      } catch (Throwable var3) {
         throw var3;
      }

   }

   public void stampAll(String var1, Object var2) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NstampAll(var1, var2);
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void putAllInFolder(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NputAllInFolder(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public void removeAllFromFolder(String var1) throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      try {
         this.NremoveAllFromFolder(var1);
      } catch (Throwable var4) {
         throw var4;
      }

   }

   public int getCount() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      int var1;
      try {
         var1 = ((NotesBase)this).PropGetInt(2030);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public String getQuery() throws NotesException {
      ((NotesBase)this).CheckObject();
      synchronized(this){}

      String var1;
      try {
         var1 = ((NotesBase)this).PropGetString(2032);
      } catch (Throwable var5) {
         throw var5;
      }

      return var1;
   }

   public lotus.domino.View getParent() throws NotesException {
      ((NotesBase)this).CheckObject();
      return this.parentView;
   }
}
